[Numpy-discussion] ANN: Pandas 0.14.0 released

Jeff Reback jeffreback at gmail.com
Sat May 31 04:53:02 EDT 2014


sure would take a pr for that

anything 2 make setup easier!

> On May 31, 2014, at 1:50 AM, Ralf Gommers <ralf.gommers at gmail.com> wrote:
> 
> 
> 
> 
>> On Sat, May 31, 2014 at 12:30 AM, Jeff Reback <jeffreback at gmail.com> wrote:
>> the upgrade flag on pip is apparently recursive on all deps
> 
> Indeed. This is super annoying, and trips up a lot of users. As long as that doesn't change in pip, you should be using something like https://github.com/scipy/scipy/pull/3566 in pandas I think. I'd be happy to send a PR for that if you want.
> 
> Ralf
> 
>  
>> 
>> 
>> On May 30, 2014, at 6:16 PM, Neal Becker <ndbecker2 at gmail.com> wrote:
>> >
>> > pip install --user --up pandas
>> > Downloading/unpacking pandas from
>> > https://pypi.python.org/packages/source/p/pandas/pandas-0.14.0.tar.gz#md5=b775987c0ceebcc8d5ace4a1241c967a
>> > ...
>> >
>> > Downloading/unpacking numpy>=1.6.1 from
>> > https://pypi.python.org/packages/source/n/numpy/numpy-1.8.1.tar.gz#md5=be95babe263bfa3428363d6db5b64678
>> > (from pandas)
>> >  Downloading numpy-1.8.1.tar.gz (3.8MB): 3.8MB downloaded
>> >  Running setup.py egg_info for package numpy
>> >    Running from numpy source directory.
>> >
>> >    warning: no files found matching 'tools/py3tool.py'
>> >    warning: no files found matching '*' under directory 'doc/f2py'
>> >    warning: no previously-included files matching '*.pyc' found anywhere in
>> > distribution
>> >    warning: no previously-included files matching '*.pyo' found anywhere in
>> > distribution
>> >    warning: no previously-included files matching '*.pyd' found anywhere in
>> > distribution
>> > Downloading/unpacking six from
>> > https://pypi.python.org/packages/source/s/six/six-1.6.1.tar.gz#md5=07d606ac08595d795bf926cc9985674f
>> > (from python-dateutil->pandas)
>> >  Downloading six-1.6.1.tar.gz
>> >  Running setup.py egg_info for package six
>> >
>> >    no previously-included directories found matching 'documentation/_build'
>> > Installing collected packages: pandas, pytz, numpy, six
>> > ....
>> >
>> > What?  I already have numpy-1.8.0 installed (also have six, pytz).
>> >
>> > _______________________________________________
>> > NumPy-Discussion mailing list
>> > NumPy-Discussion at scipy.org
>> > http://mail.scipy.org/mailman/listinfo/numpy-discussion
>> _______________________________________________
>> NumPy-Discussion mailing list
>> NumPy-Discussion at scipy.org
>> http://mail.scipy.org/mailman/listinfo/numpy-discussion
> 
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion at scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/numpy-discussion/attachments/20140531/7ce13347/attachment.html>


More information about the NumPy-Discussion mailing list